List SLOs
GET
/v1/slo/
const url = 'https://example.com/v1/slo/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/slo/ \ --header 'Authorization: Bearer <token>'Return all SLOs for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
id
string format: uuid
page_size
integer
Number of results to return per page.
report_config
string format: uuid
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
report_config
string format: uuid
description
string
monitor
required
string format: uuid
availability_objective
Objective: Uptime in %
string format: decimal
reliability_objective
Objective: Number of fail/duration (weekly/monthly) acceptable
integer
response_time_objective
Objective: Response time in ms acceptable
integer
created_at
required
string format: date-time
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}